using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;
using System.Security;
using Decal.Interop.Net;

namespace Decal.Interop.Filters;

[ComImport]
[InterfaceType(2)]
[SuppressUnmanagedCodeSecurity]
[Guid("A67C748D-2427-4A13-A114-7ACC1D4C9433")]
[TypeLibType(4096)]
public interface IPrefilterEvents
{
	[MethodImpl(MethodImplOptions.PreserveSig | MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
	[DispId(1)]
	void Event(int ID, [MarshalAs(UnmanagedType.Interface)] IMessage Message);
}
